Ask Bidder Question¶
You can send an e-mail to the bidder by doing a POST against the ask bidder question resource. Asking a question to a bidder is only possible for an bid on an ad which is owned by the authenticated user.
field |
type |
constraints |
default |
Req |
W |
U |
|---|---|---|---|---|---|---|
message |
string |
– |
yes |
yes |
no |
|
phoneNumber |
string |
max. 12 characters, has to be a valid |
yes |
yes |
no |
message
The actual message which is send to the bidder.
phoneNumber
A phone number has to meet the following requirements:
Dutch phone numbers (mobile or land lines) have a maximum length of between 10 and 21 digits and should start with a 0.
International phone numbers numbers should start with a ‘+’, followed by a countrynumber and should be between 8 and 19 digits.
Phone numbers starting with 0909, 0906, 080x or 090x are not allowed.
Examples of valid phone number:
0615420879- Valid Dutch mobile phone number.0308767261- Valid Dutch land line.0971492918- Valid Dutch mobile phone number for tablets and similar devices.+31615587981- Valid Dutch phone number, with Dutch country code.+49699511440- Valid German phone number, with country code.
Examples of invalid phone numbers:
0900998877- Dutch information number.0906292818- Dutch chat number.08001777- Dutch information number.061122- Too short for being a valid number.003233883399- Invalid international number, it should start with + instead of 00.
Reference¶
POST /v2/advertisements/{itemId}/bids/{bidId}/actions/ask-bidder-question
Send a message to the bidder
Example¶
Asking a question to a bidder:
Request :
POST /v2/advertisements/m1/bids/2/actions/ask-bidder-question HTTP/1.1 Host: api.marktplaats.nl Content-Type: application/json { "message": "Hi, you can purchase this item for the offered price", "phoneNumber":"0113293823" }Response :
HTTP/1.1 200 OK Location: https://api.marktplaats.nl/v2/ Content-Type: application/json { "_links":{ "self":{ "href":"/v2/advertisements/m1/bids/2" } }, "message": "The message is sent to the bidder" }
Errors¶
http |
error code |
description |
|---|---|---|
500 |
asq-not-sent |
something went wrong on our side. |
403 |
unauthorized |
The action you are trying to perform is not allowed |
400 |
validation-failure |
something is invalid in the ask seller question |